#include "mine.h"
#include <module_service/module_mine.h>
#include "common_tool.h"

void mine_tool::on_point(uint32_t card_id, int32_t type, int vehicle_category_id)
{
    module_mine::on_point(card_id, type, vehicle_category_id);
}
	uint64_t mine_tool::get_down_time()
	{
		return tool_time::to_ms(m_attendance_start_time);
	}
	uint64_t mine_tool::get_work_time()
	{
		return tool_time::elapse_ms(m_attendance_start_time)	;
	}
	int32_t mine_tool::is_on_duty()
	{
		return get_down_time()>tool_time::morning_of_today_ms();
	}

